"""
Test submodule logging usage from a file within the src folder.
"""

# User Imports.
from submodule_test.src.logging import init_logging


# Import logger.
logger = init_logging(__name__)


def import_file_function():
    """
    Test logging output to console.
    """
    logger.debug('fake "git submodule" imported file DEBUG logging statement.')
    logger.info('fake "git submodule" imported file INFO logging statement.')
    logger.warning('fake "git submodule" imported file WARNING logging statement.')
    logger.error('fake "git submodule" imported file ERROR logging statement.')
    logger.submodule('fake "git submodule" imported file SUBMODULE logging statement.')
