"""
Test logging usage from a file within the src folder.
"""

# User Imports.
from src.logging import init_logging


# Import logger.
logger = init_logging(__name__)


def import_file_function():
    """
    Test logging output to console.
    """
    logger.debug('Imported file DEBUG logging statement.')
    logger.info('Imported file INFO logging statement.')
    logger.warning('Imported file WARNING logging statement.')
    logger.error('Imported file ERROR logging statement.')
    logger.testing('Imported file TEST logging statement.')
