# Custom Logging - Documents > References


## Description
Various references used in project.


## References

### General Logging
#### Python Logging Docs
<https://docs.python.org/3.8/library/logging.html>

#### Django Logging
(Pretty thorough docs of logging "settings dictionaries" in Python)
<https://docs.djangoproject.com/en/dev/topics/logging/>

#### Checking What Loggers Exist in a Project
<https://stackoverflow.com/a/53250066>

#### Adding a New Logging Level
<https://stackoverflow.com/a/35804945>

#### Adding Logging Filters
<https://stackoverflow.com/a/53257669>

### Attaining Consistent Import Handling, Including within Submodules
#### Referencing Module Variables in Function
<https://stackoverflow.com/a/35904211>

#### Git Submodule Path Normalization
<https://stackoverflow.com/a/24654281>
<https://stackoverflow.com/a/29747054>

#### Getting Current Path
<https://stackoverflow.com/a/3430395>
